Subject: Re: Missing struct itimerval
From: [email-masked] (Jim Balter)

9 Feb 1997 20:48:23 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Grant Leslie <[email-masked]>
Original-CC: GNU-WIN32 <[email-masked]>
Original-Sender: [email-masked]

Grant Leslie wrote:
> 
> > try grep -i itimerval *.h or *.c
> > it should show you one of the files which has the real structure
> > declaration...
> >
> I tried that :(, it's nowhere in the standard headers, or X11 headers
> that I can find.
> And there is no declaration in the Fvwm files either..

Interval timers are a BSD kernel facility to do interval timing at high
resolutions.  You'll have to roll your own.  You set an interval timer
to go off after a specified amount of time and then repeatedly
after a specified increment elapses; the process gets a signal
whenever the timer goes off.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".